Subject: Re: bug#11830: 24.1; "scroll-bar-mode disabled" not honored when emacs started as daemon

From: Glenn Morris <[email-masked]>
Date: Sun, 01 Jul 2012 15:05:05 -0400

Reynaldo Baquerizo wrote:

> In my .emacs file I keep this
>
> (if (fboundp 'menu-bar-mode) (menu-bar-mode -1))
> (if (fboundp 'tool-bar-mode) (tool-bar-mode -1))
> (if (fboundp 'scroll-bar-mode) (scroll-bar-mode -1))
>
> - I start emacs as a daemon. emacs --daemon
> - I create a new frame. emacsclient -c
>
> I expect:
> A frame with no scroll-bar

Works for me. I tried both Gtk and Lucid toolkit builds.

> In GNU Emacs 24.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
>  of 2012-06-11 on bitzer.hoetzel.info